This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 156002 - an attempt to edit the cluster config version with a char will cause BT
an attempt to edit the cluster config version with a char will cause BT
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-26 11:48 EDT by Corey Marthaler
Modified: 2009-04-16 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 18:55:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-04-26 11:48:37 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 405, in
on_cluster_props_edit_ok
    cptr.addAttribute("config_version",version)
  File "/usr/share/system-config-cluster/Cluster.py", line 110, in addAttribute
    if int(value) != int(cfg):
ValueError: invalid literal for int(): 144g43453

Version-Release number of selected component (if applicable):
0.9.36

How reproducible:
everytime
Comment 1 Jim Parsons 2005-04-28 10:47:44 EDT
fixed, and also throttled at a max value of 1000 in 0.9.42-1.0
Comment 2 Corey Marthaler 2005-04-28 18:55:52 EDT
traceback fix verified.

Note You need to log in before you can comment on or make changes to this bug.